package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFFV3 extends MwfRequest<MWFFV3, MWFFV3Response> {

    @Parameter(name = "APPLICATION_TYPE_IN")
    MWFFV3 applicationTypeIn(String applicationTypeIn);
    @Parameter(name = "CIF")
    MWFFV3 cif(String cif);
    @Parameter(name = "CisloDokladu")
    MWFFV3 cisloDokladu(String cisloDokladu);
    @Parameter(name = "CisloDruhehoDokladu")
    MWFFV3 cisloDruhehoDokladu(String cisloDruhehoDokladu);
    @Parameter(name = "CisloTelefonu")
    MWFFV3 cisloTelefonu(String cisloTelefonu);
    @Parameter(name = "DatumDo")
    MWFFV3 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFFV3 datumOd(java.util.Date datumOd);
    @Parameter(name = "FE_Channel_ID")
    MWFFV3 fEChannelID(String fEChannelID);
    @Parameter(name = "ICO")
    MWFFV3 ico(String ico);
    @Parameter(name = "IDZadosti")
    MWFFV3 iDZadosti(String iDZadosti);
    @Parameter(name = "OM")
    MWFFV3 om(String om);
    @Parameter(name = "Prijmeni")
    MWFFV3 prijmeni(String prijmeni);
    @Parameter(name = "Product_Requested_In")
    MWFFV3 productRequestedIn(String productRequestedIn);
    @Parameter(name = "RC")
    MWFFV3 rc(String rc);
    @Parameter(name = "StavZadostiJednoduchy")
    MWFFV3 stavZadostiJednoduchy(String stavZadostiJednoduchy);
    @Parameter(name = "TridaProduktu")
    MWFFV3 tridaProduktu(String tridaProduktu);
    @Parameter(name = "TypDokladu")
    MWFFV3 typDokladu(String typDokladu);
}
